Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.fdk.impl
Class FdkSessionImpl

    java.lang.Object
      oracle.ifs.fdk.FdkSession
          oracle.ifs.fdk.impl.FdkSessionImpl

All Implemented Interfaces:
  LogInfo

Direct Known Subclasses:
  FdkGuestSessionImpl, FdkSystemSessionImpl, FdkUserSessionImpl

    public abstract class FdkSessionImpl

extends FdkSession

Abstract base class for various session type implementations.

Field Summary

Fields inherited from class oracle.ifs.fdk.FdkSession
`m_CurrentRequestThread, m_Tag`

Constructor Summary
`protected` | `FdkSessionImpl(boolean supportTxns)` Protected constructor.

Method Summary
`long` | `beginTransaction()` Begins a transaction on this session.
`void` | `commitTransaction(long id)` Commits a transaction started by calling `beginTransaction()`.
`void` | `disconnect()` Disconnects this user session.
`java.lang.Object` | `getInternalSession()` Returns the internal session associated with this user session.
`abstract LibrarySession` | `getLibrarySession()` Returns the `LibrarySession` associated with this user session.
`ManagersFactory` | `getManagersFactory()` Returns the managers factory corresponding to this session.
`abstract Item` | `getUser(AttributeRequest[] attributes)` Returns the user for this session.
`boolean` | `isTransactionInProgress()` Returns true if there are transactions in progess for this session.
`void` | `registerForEvents(FdkSessionListener listener)` Registers a listener for events that may occur on this session.
`void` | `rollbackTransaction(long id)` Rolls back a transaction started by calling `beginTransaction()` .
`protected void` | `rollbackTransactionStack()` Rolls back the entire transaction stack.
`boolean` | `unregisterForEvents(FdkSessionListener listener)` Unregisters a previously registered listener.

Methods inherited from class oracle.ifs.fdk.FdkSession
`beginRequest, beginRequestCommon, endRequest, getCreationTime, getCurrentSession, getDistinguishedName, getId, getLastAccessTime, getSessionTimeout, getState, getTag, getTrustedApplicationName, getUsername, httpBind, httpUnbind, isConnected, isGuest, isRequestInProgress, isSystem, isTrustedApplication, requestCleanup, setLastAccessTimeUpdate, setSessionTimeout, setState, verifyCredential`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.ifs.common.logging.LogInfo
`getSessionIdentifier, getUserIdentifier`

Constructor Detail

### FdkSessionImpl

    protected FdkSessionImpl(boolean supportTxns)

  Protected constructor.

Method Detail

### getManagersFactory

    public ManagersFactory getManagersFactory()
                                       throws FdkException

  Description copied from class: `FdkSessionImpl`
  Returns the managers factory corresponding to this session. There is only one instance of the managers factory per session, hence calling this method will always return the same instance.

  Specified by:
    `getManagersFactory` in class `FdkSession`
  Throws:
    `FdkException`

### registerForEvents

    public final void registerForEvents(FdkSessionListener listener)

  Description copied from class: `FdkSessionImpl`
  Registers a listener for events that may occur on this session. The listener must implement the `FdkSessionListener` interface.

  Specified by:
    `registerForEvents` in class `FdkSession`
  Parameters:
    `listener` - The listener to register. It must imlpement the `FdkSessionListener` interface.

### unregisterForEvents

    public final boolean unregisterForEvents(FdkSessionListener listener)

  Description copied from class: `FdkSessionImpl`
  Unregisters a previously registered listener. If the listener instance is not found, `false` is returned.

  Specified by:
    `unregisterForEvents` in class `FdkSession`
  Parameters:
    `listener` - The listener to register. It must imlpement the `FdkSessionListener` interface.

### getInternalSession

    public java.lang.Object getInternalSession()
                                        throws FdkException

  Description copied from class: `FdkSessionImpl`
  Returns the internal session associated with this user session.

  WARNING!

  This method should not be called from client code, except for exceptional circumstances where the caller understands the implications of using the underlying internal session directly and opts out of using the framework.

  If you need to use this method, please check with the developers of the framework for possible alternate ways of achieving the same result.

  Specified by:
    `getInternalSession` in class `FdkSession`
  Throws:
    `FdkException`

### getLibrarySession

    public abstract LibrarySession getLibrarySession()
                                              throws FdkException

  Description copied from class: `FdkSessionImpl`
  Returns the `LibrarySession` associated with this user session.

  WARNING!

  This method should not be called from client code, except for exceptional circumstances where the caller understands the implications of using the `LibrarySession` directly and opts out of using the framework.

  If you need to use this method, please check with the developers of the framework for possible alternate ways of achieving the same result.

  Throws:
    `FdkException`

### getUser

    public abstract Item getUser(AttributeRequest[] attributes)
                          throws FdkException

  Description copied from class: `FdkSessionImpl`
  Returns the user for this session. Optional attributes about the user can be requested.

  Parameters:
    `attributes` - Optional attributes to be returned.
  Throws:
    `FdkException`

### disconnect

    public final void disconnect()
                          throws FdkException

  Description copied from class: `FdkSessionImpl`
  Disconnects this user session.

  Throws:
    `FdkException`

### beginTransaction

    public long beginTransaction()
                          throws FdkException

  Description copied from class: `FdkSessionImpl`
  Begins a transaction on this session. The trasaction can be committed by calling `commitTransaction()` or it can be rolled back by calling `rollbackTransaction()` on this session.

  This method returns a transaction ID required to later reference this specific transaction.

  Transactions can be nested but they need to be committed or rolled back in the proper order, most recent transaction first (stack model).

  Throws:
    `FdkException`

### commitTransaction

    public void commitTransaction(long id)
                           throws FdkException

  Description copied from class: `FdkSessionImpl`
  Commits a transaction started by calling `beginTransaction()`.

  Parameters:
    `id` - The ID of the transaction (returned by `beginTransaction()`).
  Throws:
    `FdkException`

### rollbackTransaction

    public void rollbackTransaction(long id)
                             throws FdkException

  Description copied from class: `FdkSessionImpl`
  Rolls back a transaction started by calling `beginTransaction()` .

  If the ID of the transaction is less than or equal to 0, then the entire transaction stack will be rolled back at once.

  Parameters:
    `id` - The ID of the transaction (returned by `beginTransaction()`). If the ID is less than or equal to 0, then the entire transaction stack will be rolled back at once.
  Throws:
    `FdkException`

### isTransactionInProgress

    public boolean isTransactionInProgress()

  Description copied from class: `FdkSessionImpl`
  Returns true if there are transactions in progess for this session.

### rollbackTransactionStack

    protected void rollbackTransactionStack()

  Description copied from class: `FdkSessionImpl`
  Rolls back the entire transaction stack.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD